Skip to main content
`Ctrl`+`K`

# PEPJDSetRestart

Sets the restart parameter for the Jacobi-Davidson method, in particular the proportion of basis vectors that must be kept after restart.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetRestart(PEP pep,PetscReal keep)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- keep - the number of vectors to be kept at restart

## Options Database Key

- -pep_jd_restart keep - sets the restart parameter

## Notes

Allowed values are in the range [0.1,0.9]. The default is 0.5.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPJD`, `PEPJDGetRestart()`

## Level

advanced

## Location

src/pep/impls/jd/pjd.c

## Implementations

PEPJDSetRestart_JD() in src/pep/impls/jd/pjd.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages